%YAML 1.1
---
gfVersion: v1.0
class: app

name: ncbi-lftp-geo-app-gf
description: LFTP app to upload geo data folder to NCBI
repo_uri: https://gitlab.com/geneflow/apps/app-template.git
version: '0.1'
inputs:
  local_dir:
    label: Directory where read files are located
    description: Directory where reads and other data for GEO upload are located
    type: Directory
parameters:
  ftp_site:
    label: NCBI ftp link
    description: NCBI ftp link
    type: string
  user:
    label: User name for ftp submission
    description: User name for ftp submission
    type: string
  password:
    label: Password for ftp submission
    description: Password for ftp submission
    type: string
  remote:
    label: directory for submission
    description: directory for submission
    type: string
  output_dir:
    label: Name of remote directory to upload files
    description: Name of the remote directory where files will be uploaded
    type: string
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-ncbi-lftp-geo-app-gf-0.1{{ revision }}
{% endif %}
  local:
    script: ncbi-lftp-geo-app-gf.sh
...